Page MenuHomePhabricator

[AArch64] Fix fastcc -tailcallopt epilog code generation.
ClosedPublic

Authored by gberry on Feb 4 2016, 11:52 AM.

Details

Summary

Fix a bug in epilog generation where the incoming stack arguments were
not being popped for fastcc functions when -tailcallopt was passed.

Diff Detail

Repository
rL LLVM

Event Timeline

gberry updated this revision to Diff 46940.Feb 4 2016, 11:52 AM
gberry retitled this revision from to [AArch64] Fix fastcc -tailcallopt epilog code generation..
gberry updated this object.
gberry added a subscriber: llvm-commits.
jmolloy resigned from this revision.Feb 15 2016, 7:02 AM
jmolloy removed a reviewer: jmolloy.

Tim is a better reviewer than me for this.

t.p.northover accepted this revision.Feb 22 2016, 1:14 PM
t.p.northover edited edge metadata.

Hi Geoff,

Sorry this took so long to get around to. I think it looks OK.

Tim.

test/CodeGen/AArch64/fastcc.ll
237 ↗(On Diff #46940)

Might want to fix that up before commit.

This revision is now accepted and ready to land.Feb 22 2016, 1:14 PM

Tim,

No problem, thanks for the review.

This revision was automatically updated to reflect the committed changes.